layout(location = 0)in vec2 inPosition;

#ifdef TEXTURABLE
layout(location = 0)in vec2 inTexCoord;

out vec2 texCoord;
#endif

uniform mat4 transformMatrix;
uniform mat4 orthoMatrix;
uniform float depth;

void main(void) {
#ifdef TEXTURABLE
    texCoord = inTexCoord;
#endif
    gl_Position = orthoMatrix * transformMatrix * vec4(inPosition, depth, 1.0);
}
